#!/usr/local/bin/Resource/www/cgi-bin/php
<?php echo "<?xml version='1.0' encoding='UTF8' ?>";
$host = "http://127.0.0.1:80/media/sda1/scripts/MyxLive";
?>


<rss version="2.0">
<onEnter>
  startitem = "middle";
  setRefreshTime(1);
</onEnter>

<onRefresh>
  setRefreshTime(-1);
  itemCount = getPageInfo("itemCount");
</onRefresh>

<mediaDisplay name="threePartsView"
	sideLeftWidthPC="0"
	sideRightWidthPC="0"
	
	headerImageWidthPC="0"
	selectMenuOnRight="no"
	autoSelectMenu="no"
	autoSelectItem="no"
	itemImageHeightPC="0"
	itemImageWidthPC="0"
	itemXPC="8"
	itemYPC="25"
	itemWidthPC="45"
	itemHeightPC="8"
	capXPC="8"
	capYPC="25"
	capWidthPC="45"
	capHeightPC="64"
	itemBackgroundColor="255:127:36"
	itemPerPage="8"
  itemGap="0"
	bottomYPC="90"
	backgroundColor="255:127:36"
	showHeader="no"
	showDefaultInfo="no"
	imageFocus=""
	sliding="no" idleImageXPC="5" idleImageYPC="5" idleImageWidthPC="8" idleImageHeightPC="10"
>

  	<text align="center" offsetXPC="0" offsetYPC="0" widthPC="100" heightPC="20" fontSize="30" backgroundColor="139:155:85" foregroundColor="255:255:255">
		  <script>getPageInfo("pageTitle");</script>
		</text>
		
		
		
		
		

  	<text redraw="yes" offsetXPC="85" offsetYPC="12" widthPC="10" heightPC="6" fontSize="20" backgroundColor="139:155:85" foregroundColor="255:255:255">
		  <script>sprintf("%s / ", focus-(-1))+itemCount;</script>
	</text>
	
	
		<text align="center" redraw="yes"
          lines="10" fontSize=12
		      offsetXPC=55 offsetYPC=58 widthPC=40 heightPC=38
		      backgroundColor=139:155:85 foregroundColor=255:255:255>
			<script>print(annotation); annotation;</script>
		</text>
  	<text  redraw="yes" align="center" offsetXPC="60" offsetYPC="52" widthPC="30" heightPC="5" fontSize="17" backgroundColor="139:155:85" foregroundColor="255:255:255">
		  <script>print(durata); durata;</script>
		</text>
		<image  redraw="yes" offsetXPC=60 offsetYPC=25 widthPC=30 heightPC=25>
  <script>print(img); img;</script>
		</image>
		<idleImage> image/POPUP_LOADING_01.png </idleImage>
		<idleImage> image/POPUP_LOADING_02.png </idleImage>
		<idleImage> image/POPUP_LOADING_03.png </idleImage>
		<idleImage> image/POPUP_LOADING_04.png </idleImage>
		<idleImage> image/POPUP_LOADING_05.png </idleImage>
		<idleImage> image/POPUP_LOADING_06.png </idleImage>
		<idleImage> image/POPUP_LOADING_07.png </idleImage>
		<idleImage> image/POPUP_LOADING_08.png </idleImage>
		
		
		<image offsetXPC=1 offsetYPC=3 widthPC=21 heightPC=16>
<script>channelImage;</script>

<widthPC>
<script>
          25 * screenYp / screenXp;
</script>
</widthPC>

<offsetXPC>
<script>
          1 + 11 * (1 - screenYp / screenXp) / 2;
</script>
</offsetXPC>
</image>
		

		<itemDisplay>
			<text align="left" lines="1" offsetXPC=0 offsetYPC=0 widthPC=100 heightPC=100>
				<script>
					idx = getQueryItemIndex();
					focus = getFocusItemIndex();
					if(focus==idx)
					{
                      img = getItemInfo(idx,"image");
					  annotation = getItemInfo(idx, "annotation");
					  durata = getItemInfo(idx, "durata");
					  pub = getItemInfo(idx, "pub");
					  titlu = getItemInfo(idx, "title");
					}
					getItemInfo(idx, "title");
				</script>
				<fontSize>
  				<script>
  					idx = getQueryItemIndex();
  					focus = getFocusItemIndex();
  			    if(focus==idx) "16"; else "14";
  				</script>
				</fontSize>
			  <backgroundColor>
  				<script>
  					idx = getQueryItemIndex();
  					focus = getFocusItemIndex();
  			    if(focus==idx) "139:155:85"; else "-1:-1:-1";
  				</script>
			  </backgroundColor>
			  <foregroundColor>
  				<script>
  					idx = getQueryItemIndex();
  					focus = getFocusItemIndex();
  			    if(focus==idx) "255:255:255"; else "255:255:255";
  				</script>
			  </foregroundColor>
			</text>

		</itemDisplay>

<onUserInput>
<script>
ret = "false";
userInput = currentUserInput();

if (userInput == "pagedown" || userInput == "pageup")
{
  idx = Integer(getFocusItemIndex());
  if (userInput == "pagedown")
  {
    idx -= -8;
    if(idx &gt;= itemCount)
      idx = itemCount-1;
  }
  else
  {
    idx -= 8;
    if(idx &lt; 0)
      idx = 0;
  }

  print("new idx: "+idx);
  setFocusItemIndex(idx);
	setItemFocus(0);
  redrawDisplay();
  "true";
}
if (userInput == "two" || userInput == "2")
	{
     showIdle();
     url="<?php echo $host; ?>" + "/modules/podcast/podcast_me.php?file=" + getItemInfo(getFocusItemIndex(),"download");
     movie=getUrl(url);
     cancelIdle();
	 topUrl = "http://127.0.0.1:80/media/sda1/scripts/MyxLive/modules/links/download.cgi?link=" + movie + ";name=" + getItemInfo(getFocusItemIndex(),"name");
	 dlok = loadXMLFile(topUrl);
	 "true";
}
if (userInput == "three" || userInput == "3")
   {
    jumpToLink("destination");
    "true";
}
ret;
</script>
</onUserInput>

	</mediaDisplay>
	<item_template>
		<mediaDisplay  name="threePartsView" idleImageXPC="5" idleImageYPC="5" idleImageWidthPC="8" idleImageHeightPC="10">
        <idleImage>image/POPUP_LOADING_01.png</idleImage>
        <idleImage>image/POPUP_LOADING_02.png</idleImage>
        <idleImage>image/POPUP_LOADING_03.png</idleImage>
        <idleImage>image/POPUP_LOADING_04.png</idleImage>
        <idleImage>image/POPUP_LOADING_05.png</idleImage>
        <idleImage>image/POPUP_LOADING_06.png</idleImage>
        <idleImage>image/POPUP_LOADING_07.png</idleImage>
        <idleImage>image/POPUP_LOADING_08.png</idleImage>
		</mediaDisplay>

	</item_template>
<destination>
	<link>http://127.0.0.1:80/media/sda1/scripts/MyxLive/modules/podcast/level.php
	</link>
</destination>

<script>
channelImage = "/tmp/usbmounts/sda1/scripts/MyxLive/themes/podcast/news_fox.jpg";
</script>

<channel>
	<title>All Sports</title>
	<menu>main menu</menu>
	
	
	
	
	


<?php

function str_between($string, $start, $end){ 
	$string = " ".$string; $ini = strpos($string,$start); 
	if ($ini == 0) return ""; $ini += strlen($start); $len = strpos($string,$end,$ini) - $ini; 
	return substr($string,$ini,$len); 
}

$file = $_GET["file"];
$html = file_get_contents("http://www.bing.com/videos/browse/source?tag=fox+sports%3afox_more+fox+sports");
$videos = explode('<li class="vxp_gallery_item"', $html);
unset($videos[0]);
$videos = array_values($videos);

foreach($videos as $video) {
    $t1 = explode('href="', $video);
    $t2 = explode('"', $t1[1]);
    $link = $t2[0];
	
    $t1 = explode(' src="', $video);
    $t2 = explode('"', $t1[1]);
    $image = $t2[0];
    
    $t3 = explode('title="',$video);
    $t4 = explode('"',$t3[1]);
    $title = $t4[0];

    //$image = trim(str_between($video,'<em class="vxp_gallery_thumb">','</em>'));
	//$image = trim(str_between($video,'<em class="vxp_gallery_duration vxp_tb1">','</em>'));
	$title = trim(str_between($video,'<h5 class="vxp_title vxp_tl1">','</h5>'));
    $durata = trim(str_between($video,'<em class="vxp_gallery_duration vxp_tb1">','</em>'));
    $descriere= trim(str_between($video,'<span class="vxp_description">','</span>'));
    $name = preg_replace('/[^A-Za-z0-9_]/','_',$title).".wmv";
    if ($image <> "") 
    echo '
    <item>
    <title>'.$title.'</title>
    <onClick>
    <script>
    showIdle();
    url="'.$host.'/modules/podcast/podcast_me.php?file='.$link.'";
    movie=getUrl(url);
    cancelIdle();
    playItemUrl(movie,10);
    </script>
    </onClick>
    <download>'.$link.'</download>
    <name>'.$name.'</name>
    <annotation>'.$descriere.'</annotation>
    <image>'.$image.'</image>
    <durata>Duration: '.$durata.'</durata>
    <media:thumbnail url="'.$image.'" />
    </item>
    ';
}


?>



</channel>
</rss>